//+------------------------------------------------------------------+
//|                                                     High Low.mq4 |
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 LawnGreen
#property indicator_color2 LawnGreen
#property indicator_color3 Green
#property indicator_color4 Green
#property indicator_color5 HotPink 
#property indicator_color6 HotPink
#property indicator_color7 Red
#property indicator_color8 Red

//---- input parameters

 
extern double lastMonthHigh; 
extern double lastMonthLow; 
 
extern double thisMonthHigh; 
extern double thisMonthLow; 
   
extern double lastYearHigh; 
extern double lastYearLow; 
 
extern double thisYearHigh; 
extern double thisYearLow; 
//---- buffers
double ExtMapBuffer0[];
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];
double ExtMapBuffer5[];
double ExtMapBuffer6[];
double ExtMapBuffer7[];


int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer0);
   
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer1);
   
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer2);
   
   SetIndexStyle(3,DRAW_LINE);
   SetIndexBuffer(3,ExtMapBuffer3);
   
   SetIndexStyle(4,DRAW_LINE);
   SetIndexBuffer(4,ExtMapBuffer4);
   
   SetIndexStyle(5,DRAW_LINE);
   SetIndexBuffer(5,ExtMapBuffer5);
   
   SetIndexStyle(6,DRAW_LINE);
   SetIndexBuffer(6,ExtMapBuffer6);
      
   SetIndexStyle(7,DRAW_LINE);
   SetIndexBuffer(7,ExtMapBuffer7); 
//----
   return(0);
  }

int deinit()
  {
//----
   
//----
   return(0);
  }

int start()
  {
   int    counted_bars=IndicatorCounted();
  
   double lastMonthHigh = iHigh(NULL, PERIOD_MN1, 1);
   double lastMonthLow = iLow(NULL, PERIOD_MN1, 1);
 
   double thisMonthHigh = iHigh(NULL, PERIOD_MN1, 0);
   double thisMonthLow = iLow(NULL, PERIOD_MN1, 0);
   
   double lastYearHigh = iHigh(NULL, PERIOD_MN1, iHighest(NULL, PERIOD_MN1, MODE_HIGH, 12, 12));
   double lastYearLow = iLow(NULL, PERIOD_MN1, iLowest(NULL, PERIOD_MN1, MODE_LOW, 12, 12));
 
   double thisYearHigh = iHigh(NULL, PERIOD_MN1, iHighest(NULL, PERIOD_MN1, MODE_HIGH, Month(), 0));
   double thisYearLow = iLow(NULL, PERIOD_MN1, iLowest(NULL, PERIOD_MN1, MODE_LOW, Month(), 0));
//----
  
   if(ObjectFind("LastMonth-High") != 0) {
   ObjectCreate("LastMonth-High",  OBJ_HLINE, 0, Time[0],lastMonthHigh );
   ObjectSet("LastMonth-High", OBJPROP_COLOR, LawnGreen); }
   else {ObjectMove("LastMonth-High", 0, Time[0], lastMonthHigh);}
   
   if(ObjectFind("LastMonth-Low") != 0) {
   ObjectCreate("LastMonth-Low",  OBJ_HLINE, 0, Time[0],lastMonthLow );
   ObjectSet("LastMonth-Low", OBJPROP_COLOR, LawnGreen);}
   else {ObjectMove("LastMonth-Low", 0, Time[0], lastMonthLow);}

   if(ObjectFind("ThisMonth-High") != 0) {
   ObjectCreate("ThisMonth-High",  OBJ_HLINE, 0, Time[0],thisMonthHigh );
   ObjectSet("ThisMonth-High", OBJPROP_COLOR, Green); }
   else {ObjectMove("ThisMonth-High", 0, Time[0], thisMonthHigh);}
   
   if(ObjectFind("ThisMonth-Low") != 0) {
   ObjectCreate("ThisMonth-Low",  OBJ_HLINE, 0, Time[0],thisMonthLow );
   ObjectSet("ThisMonth-Low", OBJPROP_COLOR, Green); }
   else {ObjectMove("ThisMonth-High", 0, Time[0], thisMonthLow);}
   
   if(ObjectFind("LastYear-High") != 0) {
   ObjectCreate("LastYear-High",  OBJ_HLINE, 0, Time[0],lastYearHigh );
   ObjectSet("LastYear-High", OBJPROP_COLOR, HotPink);}
   else {ObjectMove("LastYear-High", 0, Time[0], lastYearHigh);}
   
   if(ObjectFind("LastYear-Low") != 0) {
   ObjectCreate("LastYear-Low",  OBJ_HLINE, 0, Time[0],lastYearLow );
   ObjectSet("LastYear-Low", OBJPROP_COLOR, HotPink);}
   else {ObjectMove("LastYear-High", 0, Time[0], lastYearLow);}

   if(ObjectFind("ThisYear-High") != 0) {
   ObjectCreate("ThisYear-High",  OBJ_HLINE, 0, Time[0],thisYearHigh );
   ObjectSet("ThisYear-High", OBJPROP_COLOR, Red);}
   else {ObjectMove("ThisYear-High", 0, Time[0], thisYearHigh);}
      
   if(ObjectFind("ThisYear-Low") != 0) {
   ObjectCreate("ThisYear-Low",  OBJ_HLINE, 0, Time[0],thisYearLow );
   ObjectSet("ThisYear-Low", OBJPROP_COLOR, Red);}
   else {ObjectMove("ThisYear-High", 0, Time[0], thisYearLow);}
  
   
//----
   return(0);
  }
//+------------------------------------------------------------------+